import request from '@/utils/request'

// 查询菜单列表
export function listCompany(query) {
  return request({
    url: '/system/template/list',
    method: 'get',
    params: query
  })
}

// 新增企业
export function addCompany(data) {
  return request({
    url: '/system/template',
    method: 'post',
    data: data
  })
}

// 查看企业信息
export function getInfo(id) {
  return request({
    url: '/system/template/' + id,
    method: 'get'
  })
}

// 查询所有模板
export function getTemplate() {
  return request({
    url: '/system/template/getTemplate',
    method: 'get'
  })
}

// 更新企业信息
export function updateCompany(data) {
  return request({
    url: '/system/template/',
    method: 'put',
    data: data
  })
}

// 删除企业
export function delCompany(id) {
  return request({
    url: '/system/template/' + id,
    method: 'delete'
  })
}

