import request from '@/utils/request'

// 查询菜单列表
export function listRepo(query) {
  return request({
    url: '/system/repo/list',
    method: 'get',
    params: query
  })
}

// 查询文件详细
export function getRepo(repoId) {
  return request({
    url: '/system/repo/' + repoId,
    method: 'get'
  })
}

// 新增文件
export function addRepo(data) {
  return request({
    url: '/system/repo',
    method: 'post',
    data: data
  })
}

// 新增组别
export function addGroup(data) {
  return request({
    url: '/system/dict/data',
    method: 'post',
    data: data
  })
}

// 修改菜单
export function updateRepo(data) {
  return request({
    url: '/system/repo',
    method: 'put',
    data: data
  })
}

// 删除菜单
export function delRepo(repoId) {
  return request({
    url: '/system/repo/' + repoId,
    method: 'delete'
  })
}

// 获取版本列表
export function getVersion(data) {
  return request({
    url: '/system/repo/version/' + data.repoId,
    method: 'get',
    data: data
  })
}

// 更新文件版本
export function updateVersion(data) {
  return request({
    url: '/system/repo/upload_file',
    method: 'post',
    data: data
  })
}

// 下载文件
export function fileDownload(params) {
  return request({
    url: '/system/repo/download',
    method: 'get',
    params: params
  })
}

// 回滚文件版本
export function versionRollback(data) {
  return request({
    url: '/system/repo/back_file',
    method: 'post',
    data: data
  })
}

// 对比文件（简易版）
export function fileCompare(data) {
  return request({
    url: '/system/repo/compare',
    method: 'post',
    data: data
  })
}
